A2PSendSms

View as Markdown
Sends an A2P SMS message from the application to customers. A SenderID is required for A2P messages. Please contact support for installing a SenderID. Allowed roles: `CallsSMS`. **Example request:** Send the SMS message with the text "Test message" from the phone number 447443332211 to the phone numbers 447443332212 and 447443332213.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

src_numberstringRequired
The SenderID for outgoing SMS. Please contact support for installing a SenderID
dst_numberslist of stringsRequired

The destination phone numbers separated by semicolons (;). The maximum number of these phone numbers is 100

textstringRequired

The message text, up to 1600 characters. We split long messages greater than 160 GSM-7 characters or 70 UTF-16 characters into multiple segments. Each segment is charged as one message

store_bodybooleanOptional
Whether to store outgoing message texts. Default value is false

Response

Successful response
resultlist of objects
failedlist of objects
fragments_countinteger
The number of fragments the message is divided into